%define name autorpm
%define version 1.9.9
%define release 1mdk

Summary: RPM Auto-Installer or FTP Mirrorer
Name: autorpm
Version: %{version}
Release: %{release}
License: GPL
Group: System/Configuration/Other
URL: http://www.kaybee.org/~kirk/html/linux.html
Source: ftp://ftp.kaybee.org/pub/linux/%{name}-%{version}.tar.bz2
Requires: perl,rpm,dialog,mailx,perl-libnet
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
AutoRPM is a program that can do any combination of the following: mirror RPMs
from  an  FTP  site,  keep installed RPMs consistent with an FTP site or local
directory, and keep installed RPMs in a cluster or network of systems  consis-
tent.   It  is  highly  flexible  and even contains  a very  nice, menu-driven
Interactive-Install mode.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build

%install
install -m 0755 -d ${RPM_BUILD_ROOT}/var/spool/autorpm
install -m 0755 -d ${RPM_BUILD_ROOT}%{_sysconfdir}/autorpm.d/pools
install -m 0755 -d ${RPM_BUILD_ROOT}%{_sysconfdir}/autorpm.d/addons
install -m 0755 -d ${RPM_BUILD_ROOT}/var/spool/autorpm/scores
install -m 0600 pools/redhat-updates pools/autorpm-updates ${RPM_BUILD_ROOT}%{_sysconfdir}/autorpm.d/pools

install -m 0755 -d ${RPM_BUILD_ROOT}%{_sbindir}
install -m 0755 autorpm.pl ${RPM_BUILD_ROOT}%{_sbindir}/autorpm

install -m 0755 -d ${RPM_BUILD_ROOT}%{_sysconfdir}
install -m 0755 -d ${RPM_BUILD_ROOT}%{_sysconfdir}/autorpm.d
install -m 0600 autorpm.conf ${RPM_BUILD_ROOT}%{_sysconfdir}/autorpm.d/autorpm.conf.sample
#install -m 0600 autorpm.d/redhat-updates autorpm.d/autorpm-updates ${RPM_BUILD_ROOT}%{_sysconfdir}/autorpm.d

install -m 0755 -d ${RPM_BUILD_ROOT}%{_mandir}/man5
install -m 0755 -d ${RPM_BUILD_ROOT}%{_mandir}/man8
install -m 0644 autorpm.conf.5 ${RPM_BUILD_ROOT}%{_mandir}/man5
install -m 0644 autorpm.8 ${RPM_BUILD_ROOT}%{_mandir}/man8

install -m 0755 -d ${RPM_BUILD_ROOT}%{_sysconfdir}/cron.daily
install -m 0755 autorpm.cron ${RPM_BUILD_ROOT}%{_sysconfdir}/cron.daily

%clean
rm -rf $RPM_BUILD_ROOT

%post
# This will copy the sample config file to the real config file
# location only if there is no existing config file...
# It will also move the config file from the old location to the
# new location if necessary.
if [ ! -f %{_sysconfdir}/autorpm.d/autorpm.conf ] ; then
   if [ -f %{_sysconfdir}/autorpm.conf ] ; then
      echo "Moved %{_sysconfdir}/autorpm.conf to /etc/autorpm.d/autorpm.conf" >&2
      mv %{_sysconfdir}/autorpm.conf /etc/autorpm.d/autorpm.conf
   else 
      cp %{_sysconfdir}/autorpm.d/autorpm.conf.sample /etc/autorpm.d/autorpm.conf
   fi
fi

%files
%defattr(-,root,root)
%doc COPYING README samples.conf CHANGES CREDITS TODO
%dir /var/spool/autorpm
%dir %{_sysconfdir}/autorpm.d 
%dir %{_sysconfdir}/autorpm.d/pools
%dir %{_sysconfdir}/autorpm.d/addons
%dir /var/spool/autorpm/scores
%config(missingok) %attr(-,root,root) %{_sysconfdir}/autorpm.d/autorpm.conf.sample
#%config(missingok) %attr(-,root,root) %{_sysconfdir}/autorpm.d/redhat-updates
#%config(missingok) %attr(-,root,root) %{_sysconfdir}/autorpm.d/autorpm-updates
%config(missingok) %attr(-,root,root) %{_sysconfdir}/autorpm.d/pools/redhat-updates
%config(missingok) %attr(-,root,root) %{_sysconfdir}/autorpm.d/pools/autorpm-updates
%{_sbindir}/*
%doc %{_mandir}/man5/*
%doc %{_mandir}/man8/*
%config %{_sysconfdir}/cron.daily/autorpm.cron

%changelog
* Wed Jan 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.9.9-1mdk
- updated to 1.9.9

* Fri Jan 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.9.8.4-2mdk
- clean spec	

* Sun Aug 20 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.9.8.4-1mdk
- new version.
- s|%{_sysconfdir}|_sysconfdir|.

* Thu Jul 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.9.8-3mdk
- bm
- macros

* Thu Apr 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.9.8-2mdk
- fix sources permission
 
* Tue Oct 12 1999 Lenny Cartier <lenny@mandrakesoft.com>
- Adaptation of the specfile
 
* Wed Nov 18 1998 Kirk Bauer <kirk@kaybee.org>
- Modified to comply with RHCN standards
 
* Sun Mar 08 1998 Kirk Bauer <kirk@kaybee.org>
- initial release 
